<?php
/**
 * @package MemberMouse
 * @version 0.0.1
 *
 * Plugin Name: MemberMouse Curl Test
 * Plugin URI: https://membermouse.com
 * Description: Test cURL Connection to MM Hub
 * Author: MemberMouse, LLC
 * Version: 0.0.1
 * Author URI: https://membermouse.com
 * Copyright: MemberMouse LLC. All rights reserved.
 */

add_action('admin_menu', 'add_membermouse_curl_test');

function add_membermouse_curl_test()
{
	add_menu_page( 'MemberMouse cURL', 'MemberMouse cURL Test', 'manage_options', 'mm-curl-test', 'display_membermouse_curl_test_results' );
}

function display_membermouse_curl_test_results()
{
	echo "<h1>MemberMouse cURL Test</h1><hr><br/><br/>\n";
	$url = "https://hub.membermouse.com/authorizePlugin";
	
	$postvars = array("foo" => "bar");
	
	$response = wp_remote_post($url, array('method' => 'POST',
	    'timeout' => 45,
	    'body'=>$postvars));
	
	echo "Response: ".print_r($response, true);
}

?>